summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-07-15 23:04:37 +0000
committerMike Frysinger <vapier@gentoo.org>2006-07-15 23:04:37 +0000
commitc9c0da3f5c092eed91cfdedeb086e23481706227 (patch)
treedefeac394afa0d87030589a8add55fa35b5a60b4 /eclass
parentinstall c89/c99 wrappers from Debian #139619 (diff)
downloadgentoo-2-c9c0da3f5c092eed91cfdedeb086e23481706227.tar.gz
gentoo-2-c9c0da3f5c092eed91cfdedeb086e23481706227.tar.bz2
gentoo-2-c9c0da3f5c092eed91cfdedeb086e23481706227.zip
install c89/c99 wrappers from Debian #139619
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 3 insertions, 1 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index a2351cfca3f0..4f18eb24ac15 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.293 2006/06/17 19:56:18 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.294 2006/07/15 23:04:37 vapier Exp $
HOMEPAGE="http://gcc.gnu.org/"
LICENSE="GPL-2 LGPL-2.1"
@@ -879,6 +879,7 @@ gcc-compiler_pkg_postinst() {
&& mkdir -p "${ROOT}"/sbin
cp "${ROOT}/${DATAPATH}"/fixlafiles.awk "${ROOT}"/lib/rcscripts/awk/ || die "installing fixlafiles.awk"
cp "${ROOT}/${DATAPATH}"/fix_libtool_files.sh "${ROOT}"/sbin/ || die "installing fix_libtool_files.sh"
+ cp "${ROOT}/${DATAPATH}"/c{89,99} "${ROOT}"/usr/sbin/ || die "installing c89/c99"
fi
}
@@ -1678,6 +1679,7 @@ gcc-compiler_src_install() {
fi
exeinto "${DATAPATH}"
doexe "${GCC_FILESDIR}"/fix_libtool_files.sh || die
+ doexe "${GCC_FILESDIR}"/c{89,99} || die
fi
# use gid of 0 because some stupid ports don't have